Bug 193458 - Pb with the "Small Yellow Dog"
Pb with the "Small Yellow Dog"
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-05-29 02:37 EDT by Jean-Claude.Odillard
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-07 09:32:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The Small Yellows Dogs error (6.89 KB, application/vnd.oasis.opendocument.text)
2006-05-29 02:37 EDT, Jean-Claude.Odillard
no flags Details

  None (edit)
Description Jean-Claude.Odillard 2006-05-29 02:37:09 EDT

At the next of yesterday, I have runned the "Small Yellow dogs" after a certain
time I have obtained the errors contains in the attach filed.
Thank you by advance
Comment 1 Jean-Claude.Odillard 2006-05-29 02:37:09 EDT
Created attachment 130167 [details]
The Small Yellows Dogs error
Comment 2 Jeremy Katz 2006-06-04 14:46:51 EDT
This looks like you have a repository configured which points to a gpg key which
does not exist.   Can you provide the contents of /etc/yum.repos.d/* (preferably
just included within the bug text, not as an attachment of an OpenOffice document)
Comment 3 Jean-Claude.Odillard 2006-06-06 14:46:27 EDT
Hello find the copy of the exception occured :

Component: Software Updater
Summary: TB9275b279 downloadonly.py:26:config_hook:AttributeError: 'NoneType'
object has no attribute 'add_option'

Traceback (most recent call last):
  File "/usr/sbin/pup", line 382, in ?
  File "/usr/sbin/pup", line 377, in main
    pup = PackageUpdater()
  File "/usr/sbin/pup", line 77, in __init__
    GraphicalYumBase.__init__(self, False)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 123, in __init__
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 173, in
    optparser, types)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 148, in __init__
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 164, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/downloadonly.py", line 26, in config_hook
    parser.add_option('', '--downloadonly', dest='dlonly', action='store_true',
AttributeError: 'NoneType' object has no attribute 'add_option'

Local variables in innermost frame:
conduit: <yum.plugins.ConfigPluginConduit instance at 0xb797b34c>
parser: None
and when I lauch Yumex it send me an error loading the data in depôt
Thank you by advance foryour help
Comment 4 Jean-Claude.Odillard 2006-06-07 17:12:48 EDT
Please find the copy of the filenames

Note You need to log in before you can comment on or make changes to this bug.